Package org.eclipse.emf.cdo.security

## Interface Directory

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`, `SecurityElement`, `SecurityItem`, `SecurityItemContainer`, `SecurityItemProvider`
  All Known Implementing Classes:
    `DirectoryImpl`

      public interface Directory
      extends SecurityItem, SecurityItemContainer

  A representation of the model object 'Container'.
  See Also:
    `SecurityPackage.getDirectory()`
  Generated
  Extends
    SecurityItemContainer
  Model
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

    The following features are supported:

    - `Items`
    - `Name`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `GROUPS` |
    `static java.lang.String` | `ROLES` |
    `static java.lang.String` | `USERS` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EList<SecurityItem>` | `getItems()` | Returns the value of the 'Items' containment reference list.
    `java.lang.String` | `getName()` | Returns the value of the 'Name' attribute.
    `void` | `setName​(java.lang.String value)` | Sets the value of the '`Name`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityElement

      `getRealm`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityItemContainer

      `addGroup, addRole, addUser, addUser, addUser, removeGroup, removeRole, removeUser, setPassword`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityItemProvider

      `getGroup, getRole, getUser`

- - ### Field Detail

    - #### ROLES

          static final java.lang.String ROLES

      Since:
        4.3
      See Also:
        Constant Field Values

    - #### GROUPS

          static final java.lang.String GROUPS

      Since:
        4.3
      See Also:
        Constant Field Values

    - #### USERS

          static final java.lang.String USERS

      Since:
        4.3
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getItems

          EList<SecurityItem> getItems()

      Returns the value of the 'Items' containment reference list. The list contents are of type `SecurityItem`.

      If the meaning of the 'Items' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Items' containment reference list.
      See Also:
        `SecurityPackage.getDirectory_Items()`
      Generated
      Model
        containment="true"

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `SecurityPackage.getDirectory_Name()`
      Generated
      Model

    - #### setName

          void setName​(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`
      Generated